Message: Re: installation of Geant4 on Linux, how to proceed Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: installation of Geant4 on Linux, how to proceed 

Forum: Installation and Configuration
Re: Question installation of Geant4 on Linux, how to proceed
Re: None Re: installation of Geant4 on Linux, how to proceed
Date: 17 Jul, 2012
From: Youming Yang <Youming Yang>

During your initial build of the libraries, you should make sure this option is enabled:

GEANT4_USE_OPENGL_X11 (DEFAULT : OFF, Unix Only)

If set to ON, build the X11 OpenGL visualization driver.

REQUIRES : X11 and OpenGL libraries and headers.

If you have the appropriate OpenGL libraries installed, CMake will find them. If not, it should give you the appropriate error messages to point you in the right direction.

Ming

On Mon, 16 Jul 2012 16:56:09 GMT, ljub wrote:

> OK. New problem with my noobiness. I ran exampleB1 and in the end it
> says:
> 
> # Visualization setting /control/execute vis.mac
> 
> # Macro file for the visualization setting in the initialization phase
> # of the B1 example when running in interactive mode
> #
> # Use these open statements to open selected visualization
> #
> # Use this open statement to create an OpenGL view:
> 
> /vis/open OGL 600x600-0+0 parameter value is not listed in the candidate
> List. ***** Illegal parameter (0) </vis/open OGL 600x600-0+0> *****
> 
> ***** Batch is interrupted!! ***** Idle>
> 
> I found a thread with similar problem:
> http://hypernews.slac.stanford.edu/HyperNews/geant4/get/installconfig/1354/1.html
> 
> In which folder I should be when I try to change this settings.
> 
> Thanks
> 

 Add Message Add Message
to: "Re: installation of Geant4 on Linux, how to proceed"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]